Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.ant
Class Undeploy

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jboss.portal.common.ant.AbstractDeploymentTask
                  org.jboss.portal.common.ant.Undeploy

    public class Undeploy

extends AbstractDeploymentTask

A blocking undeploy task.

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Undeploy()`

Method Summary
`protected void` | `execute(org.codehaus.cargo.container.jboss.JBossJMXDeployer deployer)`

Methods inherited from class org.jboss.portal.common.ant.AbstractDeploymentTask
`execute, getConfig, getFile, setConfig, setFile`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Undeploy

    public Undeploy()

Method Detail

### execute

    protected void execute(org.codehaus.cargo.container.jboss.JBossJMXDeployer deployer)

  Specified by:
    `execute` in class `AbstractDeploymentTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD